Subject: Re: [GSoC][PATCH 0/3] Teach cherry-pick/revert to skip commits

From: Thomas Gummerer <[email-masked]>
Date: Sun, 9 Jun 2019 21:00:39 +0100

On 06/09, Rohit Ashiwal wrote:
> > > PR: https://github.com/r1walz/git/pull/1
> > > Reviewed-by: Elijah Newren <[email-masked]>
> > > Reviewed-by: Thomas Gummerer <[email-masked]>
> >
> > Note that the 'Reviewed-by' footer is something that is "given" by the
> > reviewers, and should only be added after they have explicitly given
> > it for the patch/series in question.  Instead this should probably
> > mention that Elijah and me reviewed this off-list in the PR you linked
> > to above.
> 
> Oh! But I read here, SubmittingPatches[1] docs, that it's nice to give
> credits to those who helped you. Should we fix it in some way? I don't
> know. Anyway, that is beyond the scope of this patch.

Right, thanks for thinking about credit here.  The appropriate way to
do that would be to add a Helped-by trailer to the individual
commits, though especially for the first and last commit in the series
we probably don't deserve that much credit ;)  In past GSoC/Outreachy
projects I've also seen the Mentored-by trailer.

Other than Helped-by, which I've commonly used seen for this they do
seem to be (more or less) documented in SubmittingPatches [2].

> Thanks for the review
> Rohit
> 
> [1]: https://github.com/git/git/blob/v2.22.0/Documentation/SubmittingPatches#L289-L291

[2]: https://github.com/git/git/blob/b697d92f56511e804b8ba20ccbe7bdc85dc66810/Documentation/SubmittingPatches#L353-L365